=== modified file 'loggerhead/templatefunctions.py'
--- loggerhead/templatefunctions.py	2008-06-11 00:02:50 +0000
+++ loggerhead/templatefunctions.py	2008-06-12 08:32:24 +0000
@@ -32,13 +32,13 @@
 @templatefunc
 def collapse_button(group, name, normal='block'):
     return _pt('collapse-button').expand(
-        group=group, name=name, normal=normal, tg=turbogears,
+        group=group, name=name, normal=normal,
         **templatefunctions)
 
 @templatefunc
 def collapse_all_button(group, normal='block'):
     return _pt('collapse-all-button').expand(
-        group=group, normal=normal, tg=turbogears,
+        group=group, normal=normal,
         **templatefunctions)
 
 @templatefunc
@@ -60,3 +60,10 @@
     return _pt('modified-file-link-log').expand(
         url=url, entry=entry, item=item,
         **templatefunctions)
+
+class tg:
+    @staticmethod
+    def url(what):
+        return what
+
+templatefunctions['tg'] =  tg

=== modified file 'loggerhead/wsgiapp.py'
--- loggerhead/wsgiapp.py	2008-06-12 05:19:07 +0000
+++ loggerhead/wsgiapp.py	2008-06-12 08:32:24 +0000
@@ -1,8 +1,17 @@
+import logging
+import os
+
+from paste import urlparser
+from paste.request import path_info_pop
 from paste.wsgiwrappers import WSGIRequest, WSGIResponse
 
 from loggerhead.controllers.changelog_ui import ChangeLogUI
 
-import logging
+
+static = os.path.join(
+    os.path.dirname(__file__), 'static')
+
+static_app = urlparser.make_static(None, static)
 
 logging.basicConfig()
 
@@ -22,7 +31,11 @@
         request = WSGIRequest(environ)
         response = WSGIResponse()
         response.headers['Content-Type'] = 'text/plain'
-        c = ChangeLogUI(self)
-        c.default(request, response)
+        path = path_info_pop(environ)
+        if not path or path == 'changes':
+            c = ChangeLogUI(self)
+            c.default(request, response)
+        elif path == 'static':
+            return static_app(environ, start_response)
         return response(environ, start_response)
 

=== modified file 'wsgitest.py'
--- wsgitest.py	2008-06-12 05:19:07 +0000
+++ wsgitest.py	2008-06-12 08:32:24 +0000
@@ -7,5 +7,7 @@
 
 
 from paste import httpserver
-httpserver.serve(app.app, host='127.0.0.1', port='9876')
+from paste.evalexception import EvalException
+from paste.httpexceptions import make_middleware
+httpserver.serve(EvalException(make_middleware(app.app)), host='127.0.0.1', port='9876')
 

